stages:
  - build

variables:
  IMAGE_TAG: $CI_REGISTRY_IMAGE:$CI_COMMIT_REF_SLUG

docker-build-and-push:
  stage: build
  image: docker:24.0.7
  before_script:
    - echo $CI_REGISTRY_PASSWORD | docker login -u $CI_REGISTRY_USER --password-stdin $CI_REGISTRY
  tags:
    - docker
  script:
    - docker image build --tag "$IMAGE_TAG" .
    - docker image push "$IMAGE_TAG"
